Bug 477225 - Wrong location stated for examples
Wrong location stated for examples
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.1
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Robie
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 13:35 EST by William Henry
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 10:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-12-19 13:35:25 EST
Description of problem:

The Guide says:
5.2.1. Running the Direct Examples

The example programs discussed in this section are found in /usr/share/rhm-docs-0.2/cpp/direct. To run these programs, do the following: 

The actual location is /usr/share/docs/rhm-docs-0.2/cpp/direct.

Should check for all the other language examples too.

The rpm-ql rhm actually shows this correctly in the docs:
Section 3.1 regarding Installing MRG Messaging:
# rpm -ql rhm
/etc/qpidd.conf
/usr/lib/qpiddlibbdbstore.so.0
/usr/lib/qpidd/libbdbstore.so.0.1.0
/usr/share/doc/rhm-0.2
/usr/share/doc/rhm-0.2/COPYING
/usr/share/doc/rhm-0.2/README
/var/rhm
Comment 1 Jonathan Robie 2008-12-22 08:17:26 EST
What version of the documentation are you looking at?

Here's the corresponding text from the current PDF, which should be in the RPM:

5.2.1. Running the Direct Examples
The example programs discussed in this section are found in /usr/share/doc/rhm-0.3/cpp/
direct. To run these programs, do the following:


There is now an entity that identifies the document install root, so these paths should stay in synch.

Note You need to log in before you can comment on or make changes to this bug.